Manuel PHP
Précédent |  | Suivant

# XSLTProcessor->setParameter()

(no version information, might be only in CVS)

XSLTProcessor->setParameter() -- Définit la valeur d'un paramètre

## Description

class XSLTProcessor {
bool setParameter ( string namespace, string name, string value )
}class XSLTProcessor {
bool setParameter ( string namespace, array options )
}

Définit la valeur d'un ou plusieurs paramètres pour être utilisés dans une sous-séquence de transformation avec XSLTProcessor. Si le paramètre n'existe pas dans la feuille de style, il sera ignoré.

## Liste de paramètres

namespace

  L'URI de l'espace de noms du paramètre XSLT.

name

  Le nom local du paramètre XSLT.

value

  La nouvelle valeur du paramètre XSLT.

options

  Un tableau de paire nom => valeur. Cette syntaxe est disponible depuis PHP 5.1.0.

## Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

## Exemples

Exemple 1. Modification du propriétaire avant la transformation

`<?php
$collections = array(
'Marc Rutkowski' => 'marc',
'Olivier Parmentier' => 'olivier'
);
$xsl = new DOMDocument;
$xsl->load('collection.xsl');
// Configuration du transformateur
$proc = new XSLTProcessor;
$proc->importStyleSheet($xsl); // attachement des règles xsl
foreach ($collections as $name => $file) {
// Chargement du source XML
$xml = new DOMDocument;
$xml->load('collection_' . $file . '.xml');
$proc->setParameter('', 'owner', $name);
$proc->transformToURI($xml, 'file:///tmp/' . $file . '.html');
}
?>`

## Voir aussi

XSLTProcessor->getParameter()
XSLTProcessor->removeParameter()

Précédent | Sommaire | Suivant
XSLTProcessor->removeParameter() | Niveau supérieur | XSLTProcessor->transformToDoc()